# 12. Soft robotics

## Research

From what we got presented on the tutorials, we had to think about body motions, pumps, walk, blow, sit down, that has a air reaction. 




## References & Inspiration

I took some references from the tutorial that inspired me 

- Octobot project 
- Heaten nylon : can be used for my project to give it flexibility. 
- Conductive paint 
- https://class.textile-academy.org/2019/Montserrat/project.html 
- Costume 3D printing silicone costume design dar a luz Gabriela Lotaif fabricademy Kombucha for softrobotics : https://class.textile-academy.org/2020/gabriela.lotaif/projects/3.bioflaskin/#recipe
- Modeliser en 3D pour montrer au performer ce que peut etre l’effet du costume 
- Do jellyfish use similar techniques as the paramecium? 
- you can use the  inkscape embroidery plugin called inkstitch 
- https://inkscape.org/~Kaalleen/%E2%98%85inkstitch-embroidery-extension 
- or you can use turlestitch 
- https://www.researchgate.net/publication/335883174_Inflatable_actuators_based_on_machine_embroidery

Websites helps 

-	https://www.softrobotics.io/ 
-	https://adrianacabrera.github.io/SoftRobotics/ 
-	https://www.youtube.com/watch?v=nRdbbIJSOcg&ab_channel=BeckyMarshallDesign 


Examples 

-	https://www.instructables.com/Air-Powered-Soft-Robotic-Gripper/ 
-	https://softroboticstoolkit.com/resources-for-educators/pneuwrist-brace 
-	https://softroboticstoolkit.com/ 
-	https://class.textile-academy.org/2022/louise-massacrier/Assignments/week12/#testing-the-grip-with-an-air-pump-dc-motor-and-arduino 


The one I ended up using 

-	http://www.beckymarshall.com/inflatables.html


## Tools

!!! example ""

	- [Arduino UNO](http://class.textile-academy.org)
	- [Arduino IDE](http://class.textile-academy.org)




## Process and workflow

![describe what you see in this image](../images/week12/IMG_9827.jpg){ width=400 align=left}

![describe what you see in this image](../images/week12/ALGINATE1.gif){ width=400 align=right}

<p style="clear: left;"></p>
<br/>

### Step

![describe what you see in this image](../images/week12/alginate2.gif){ width=400 align=left}

<p style="clear: left;"></p>
<br/>

### Step


![describe what you see in this image](../images/week12/IMG_9890.jpg){ width=300 align=left }
![describe what you see in this image](../images/week12/IMG_9895.jpg){ width=300 align=right }


![describe what you see in this image](../images/week12/alg5.gif){ width=400 align=left}

<p style="clear: left;"></p>
<br/>


## Code Example


```
int pump = 9;

void setup() {
 pinMode(pump, OUTPUT);
}

void loop() {
 for(int i=70; i<255; i=i+10){
 analogWrite(pump, i);
 delay(200);
 }

 for(int i=255; i>70; i=i-10){
 analogWrite(pump, i);
 delay(200);
 }
}
```


## Results


![describe what you see in this image](../images/week12/alg3.gif){ width=400 align=right}

![describe what you see in this image](../images/week12/alg4.gif){ width=400 align=left}

<p style="clear: left;"></p>
<br/>



## Video

### From Vimeo

<iframe src="https://player.vimeo.com/video/10048961" width="640" height="480" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
<p><a href="https://vimeo.com/10048961">Sound Waves</a> from <a href="https://vimeo.com/radarboy">George Gally (Radarboy)</a> on <a href="https://vimeo.com">Vimeo</a>.</p>

### From Youtube

<iframe width="560" height="315" src="https://www.youtube.com/embed/jjNgJFemlC4" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>

---
---

---
---

## Fabrication files

[^1]: File: xxx
[^2]: File: xxx
[^3]: File: xxx
