# 10. Open Source Hardware - From Fibers to Fabric

## Research & Ideation

![describe what you see in this image](../images/week10/IMG_9641.jpg){ width=400 align=right }



Starting thinking about the final project is influencing somehow the focus on these weeks. I am right now mostly focused on a workshop that I am giving at 19M in Paris, that is a place that Chanel opened this year. For that I made a loom few weeks ago and I am still improving it, so it is part of my research of the week.


<p style="clear: both;"></p>
<br/>

## References & Inspiration

I started to look for websites where there would be informations on Biohacking and :

https://www.hackteria.org/

http://biohackacademy.github.io/


Regarding the looms, So I had a look  at the work of She Makes, where there are few looms available, because there is a part that I wanted to make that I didn’t manage to do because it had to be a 3D piece and I wanted to cut it laser cutting. 
It is still in process because I don’t know if it works yet. It is a “separateur de fils”, I have the version in 3D and I want to try to print it as well.
I couldn't find the file so I drew it myself. 

http://fabricademy.fabcloud.io/shemakes/handbook/2.-innovation-services/Lab-to-Lab-Research/03_MAKE/#looms


Appart from that, we started to work on the Automated loom. 

<p style="clear: both;"></p>
<br/>


## Process

I arrived a day late during the week because I was giving the workshop in Paris but I managed to arrive to work in group with Camille and Tess on the “automatized loom”.

Last year, a group at Textile Lab made a loom and we wanted to modify it to see how it could be automatized. 
Tess and Camille worked on remaking new pieces of the loom such as the “lisses” and the “peignes”. We followed a tutorial on this webpage:

https://www.instructables.com/DIY-Laser-Cut-Rigid-Heddle-Loom-Part-2-Weaving-Wit/

Camille made demos of the different positions the loom could have on Rhino. The peignes were laser cutted first in plexiglass but it was too hard to split the pieces because they were not detached enough. This is because if it cuts more it is too hot and the plexi starts to move and deforms. So we decided to do it in wood of 5mm.


![](../images/week10/01b84df5-5480-49c0-8dbe-2ae719ccb4dc.jpg){ width=620 }


The two “cadres” that the group did last year had to be lifted by hand, so we tried to attach them to the robotised hand that the group of Diane and Audrey made. We then had to get the cadre fixed so that it would not move when the robot would lift it. We printed new wooden pieces that were high enough to keep the “cadres in place”.

![](../images/week10/bras2.gif){ width=300 }

Then we started set up the warp threads on the loom with Tess, passing them through the two cadres in the following order to make a “sergé” warp: A thread passes by a hole on the first cadre and in the big cut on the second cadre, then a thread passes by the big cut on the first cadre and then on by the hole on the second one and then a thread passes by the big cut on the two cadres.

![](../images/week10/bras3.gif){ width=400 }

We were a bit scared that two cadres would be too heavy for the robot. We then tried first with lifting one cadre.

![](../images/week10/bras.gif){ width=300 }



## Code Example

![](../images/week10/IMG_9684.jpg){ width=400 }


## Gallery

![](../images/week10/IMG_9672.jpg)

![](../images/week10/IMG_9679.jpg)


I have been weaving for about five years on different types of looms and I enjoyed the way that robotizing it made it experimental, eventhough it fell like the robot was more controlling the loom than us at some point.

## Fabrication files

[^1]: File: xxx
[^2]: File: xxx
[^3]: File: xxx
